从simpleui-pro 1.0.7升级到1.0.8后,查询所有的表结构都报500

作者:SeanZhou 657 浏览 6 评论 发布时间:2019-12-20 17:18:22

python3.7, django 2.2, django-simpleui 3.8, simplepro 1.0.8

Loading...
评论列表 6条评论
社区小助手
2020-05-04 18:14:50

升级到最新版,即可。

社区小助手
2020-05-04 18:14:49

麻烦贴下admin的代码

zhc1208420887
2020-05-04 18:14:49

@simplepro 1.0.7版本也是这样问题

zhc1208420887
2020-05-04 18:14:49

@simplepro During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3.6/wsgiref/handlers.py", line 137, in run self.result = application(self.environ, self.start_response) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/contrib/staticfiles/handlers.py", line 65, in call return self.application(environ, start_response) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/wsgi.py", line 141, in call response = self.get_response(request) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/base.py", line 75, in get_response response = self._middleware_chain(request) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/exception.py", line 36, in inner response = response_for_exception(request, exc) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/exception.py", line 90, in response_for_exception response = handle_uncaught_exception(request, get_resolver(get_urlconf()), sys.exc_info()) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/core/handlers/exception.py", line 125, in handle_uncaught_exception return debug.technical_500_response(request, *exc_info) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 94, in technical_500_response html = reporter.get_traceback_html() File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 333, in get_traceback_html c = Context(self.get_traceback_data(), use_l10n=False) File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 264, in get_traceback_data frames = self.get_traceback_frames() File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 422, in get_traceback_frames filename, lineno, 7, loader, module_name, File "/home/xftm/.virtualenvs/evn_django/lib/python3.6/site-packages/django/views/debug.py", line 383, in _get_lines_from_file context_line = source[lineno] IndexError: list index out of range

对 去掉ordering 就不报错了   但是双击编辑会有问题  还有自定义方法里 def make_transfer(self, request, queryset):  queryset 获取不到对象

社区小助手
2020-05-04 18:14:49

@ITMeow 把控制台的错误信息也贴一下,然后先降级至1.0.7,等待下个版本修复。

SeanZhou
2020-05-04 18:14:49

我发现去掉admin里面的ordering就没问题了,这可怎么办